﻿'use strict';
const _ = require('lodash');
const TasksUtils = require('./utils');
const GulpUtil = require('gulp-util');




exports = module.exports = {};

exports.filenameWithRev = function (url) {
  const combinedManifest = _.assign({},
      TasksUtils.readJson('compile/rev/css-manifest.json'),
      TasksUtils.readJson('compile/rev/js-manifest.json'),
      TasksUtils.readJson('compile/rev/images-manifest.json')
  );

  const revvedUrl = combinedManifest[url];

  if (!revvedUrl) {
    GulpUtil.log(`Could not find path with rev for image ${GulpUtil.colors.cyan(url)} in manifests:\n ${JSON.stringify(combinedManifest, null, 2)}\n`);
    return url;
  }

  return revvedUrl;
};
